#include <iostream>

void process(int&& x) {
    std::cout << "Rvalue reference: " << x << std::endl;
}

int main() {
    process(10);       // 10 is an rvalue, bound to int&&

    int a = 20;
    // process(a);     // Error: 'a' is an lvalue, cannot bind to int&&

    process(std::move(a));  // std::move(a) casts 'a' to an rvalue

    return 0;
}

